Create Luna Scorer Version
curl --request POST \
--url https://api.galileo.ai/v2/scorers/{scorer_id}/version/luna \
--header 'Content-Type: application/json' \
--header 'Galileo-API-Key: <api-key>' \
--data '
{
"lora_task_id": 123,
"prompt": "<string>",
"lora_weights_path": "<string>"
}
'import requests
url = "https://api.galileo.ai/v2/scorers/{scorer_id}/version/luna"
payload = {
"lora_task_id": 123,
"prompt": "<string>",
"lora_weights_path": "<string>"
}
headers = {
"Galileo-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Galileo-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({lora_task_id: 123, prompt: '<string>', lora_weights_path: '<string>'})
};
fetch('https://api.galileo.ai/v2/scorers/{scorer_id}/version/luna', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"version": 123,
"scorer_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"generated_scorer": {
"id": "<string>",
"name": "<string>",
"chain_poll_template": {
"template": "<string>",
"metric_system_prompt": "<string>",
"metric_description": "<string>",
"value_field_name": "rating",
"explanation_field_name": "explanation",
"metric_few_shot_examples": [
{
"generation_prompt_and_response": "<string>",
"evaluating_response": "<string>"
}
],
"response_schema": {}
},
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"scoreable_node_types": [],
"scorer_configuration": {
"model_alias": "gpt-4.1-mini",
"num_judges": 3,
"output_type": "boolean",
"scoreable_node_types": [
"<string>"
],
"cot_enabled": false,
"ground_truth": false,
"multimodal_capabilities": []
},
"instructions": "<string>",
"user_prompt": "<string>"
},
"registered_scorer": {
"id": "<string>",
"name": "<string>",
"score_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"scoreable_node_types": [
"<string>"
]
},
"finetuned_scorer": {
"id": "<string>",
"name": "<string>",
"lora_task_id": 123,
"prompt": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"lora_weights_path": "<string>",
"class_name_to_vocab_ix": {}
},
"model_name": "<string>",
"num_judges": 123,
"cot_enabled": true,
"chain_poll_template": {
"template": "<string>",
"metric_system_prompt": "<string>",
"metric_description": "<string>",
"value_field_name": "rating",
"explanation_field_name": "explanation",
"metric_few_shot_examples": [
{
"generation_prompt_and_response": "<string>",
"evaluating_response": "<string>"
}
],
"response_schema": {}
},
"scoreable_node_types": [
"<string>"
],
"allowed_model": true,
"created_by": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}data
Create Luna Scorer Version
Create a new custom Luna scorer version for the given scorer.
Args: create_luna_scorer_version_request: LoRA/fine-tuning parameters for the new version. scorer: The Luna scorer to create a new version for. ctx: Async request context with the authenticated user and read session.
Returns: The newly created scorer version.
POST
/
v2
/
scorers
/
{scorer_id}
/
version
/
luna
Create Luna Scorer Version
Authorizations
ClassicAPIKeyHeaderAPIKeyHeaderOAuth2PasswordBearerHTTPBasic
Path Parameters
Body
application/json
Executor pipeline. Defaults to finetuned scorer pipeline but can run custom galileo score pipelines.
Available options:
action_completion_luna, action_advancement_luna, agentic_session_success, agentic_session_success, action_completion_vision, action_completion_audio, agentic_workflow_success, agentic_workflow_success, agent_efficiency, agent_flow, agent_flow_vision, agent_flow_audio, chunk_attribution_utilization_luna, chunk_attribution_utilization, chunk_relevance, chunk_relevance_luna, context_precision, precision_at_k, completeness_luna, completeness, context_adherence, context_adherence_luna, context_adherence_vision, context_adherence_audio, context_relevance, context_relevance_luna, conversation_quality, conversation_quality_vision, conversation_quality_audio, correctness, correctness_vision, correctness_audio, ground_truth_adherence, ground_truth_adherence_vision, ground_truth_adherence_audio, visual_fidelity, visual_quality, input_pii, input_pii_gpt, input_sexist, input_sexist, input_sexist_vision, input_sexist_audio, input_sexist_luna, input_sexist_luna, input_tone, input_tone_gpt, input_toxicity, input_toxicity_luna, input_toxicity_vision, input_toxicity_audio, instruction_adherence, instruction_adherence_vision, instruction_adherence_audio, output_pii, output_pii_gpt, output_sexist, output_sexist, output_sexist_vision, output_sexist_audio, output_sexist_luna, output_sexist_luna, output_tone, output_tone_gpt, output_toxicity, output_toxicity_luna, output_toxicity_vision, output_toxicity_audio, prompt_injection, prompt_injection_vision, prompt_injection_audio, prompt_injection_luna, reasoning_coherence, reasoning_coherence_vision, reasoning_coherence_audio, sql_efficiency, sql_adherence, sql_injection, sql_correctness, tool_error_rate, tool_error_rate_luna, tool_selection_quality, tool_selection_quality_vision, tool_selection_quality_audio, tool_selection_quality_luna, user_intent_change, user_intent_change_vision, user_intent_change_audio, interruption_detection Available options:
span, trace_object, trace_input_output_only Available options:
float, string, string_list, bool_list Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Template for a chainpoll metric prompt, containing all the info necessary to send a chainpoll prompt.
Show child attributes
Show child attributes
Enumeration of output types.
Available options:
boolean, categorical, count, discrete, freeform, percentage, multilabel, retrieved_chunk_list_boolean, boolean_multilabel Was this page helpful?
⌘I